Package org.apache.tools.ant.taskdefs.optional.vss

# Interface MSVSSConstants

All Known Implementing Classes:
  `MSVSS`, `MSVSSADD`, `MSVSSCHECKIN`, `MSVSSCHECKOUT`, `MSVSSCP`, `MSVSSCREATE`, `MSVSSGET`, `MSVSSHISTORY`, `MSVSSLABEL`

    public interface MSVSSConstants

Holds all the constants for the VSS tasks.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `COMMAND_ADD` | The 'Add' command
`static java.lang.String` | `COMMAND_CHECKIN` | The 'Checkin' command
`static java.lang.String` | `COMMAND_CHECKOUT` | The 'Checkout' command
`static java.lang.String` | `COMMAND_CP` | The 'CP' command
`static java.lang.String` | `COMMAND_CREATE` | The 'Create' command
`static java.lang.String` | `COMMAND_GET` | The 'Get' command
`static java.lang.String` | `COMMAND_HISTORY` | The 'History' command
`static java.lang.String` | `COMMAND_LABEL` | The 'Label' command
`static java.lang.String` | `FLAG_AUTORESPONSE_DEF` | -I- flag
`static java.lang.String` | `FLAG_AUTORESPONSE_NO` | -I-N flag
`static java.lang.String` | `FLAG_AUTORESPONSE_YES` | -I-Y flag
`static java.lang.String` | `FLAG_BRIEF` | -B flag
`static java.lang.String` | `FLAG_CODEDIFF` | -D flag
`static java.lang.String` | `FLAG_COMMENT` | -C flag
`static java.lang.String` | `FLAG_FILETIME_DEF` | -GTC flag
`static java.lang.String` | `FLAG_FILETIME_MODIFIED` | -GTM flag
`static java.lang.String` | `FLAG_FILETIME_UPDATED` | -GTU flag
`static java.lang.String` | `FLAG_LABEL` | -L flag
`static java.lang.String` | `FLAG_LOGIN` | -Y flag
`static java.lang.String` | `FLAG_NO_FILE` | -F- flag
`static java.lang.String` | `FLAG_NO_GET` | -G- flag
`static java.lang.String` | `FLAG_OUTPUT` | -O flag
`static java.lang.String` | `FLAG_OVERRIDE_WORKING_DIR` | -GL flag
`static java.lang.String` | `FLAG_QUIET` | -O- flag
`static java.lang.String` | `FLAG_RECURSION` | -R flag
`static java.lang.String` | `FLAG_REPLACE_WRITABLE` | -GWR flag
`static java.lang.String` | `FLAG_SKIP_WRITABLE` | -GWS flag
`static java.lang.String` | `FLAG_USER` | -U flag
`static java.lang.String` | `FLAG_VERSION` | -V flag
`static java.lang.String` | `FLAG_VERSION_DATE` | -Vd flag
`static java.lang.String` | `FLAG_VERSION_LABEL` | -VL flag
`static java.lang.String` | `FLAG_WRITABLE` | -W flag
`static java.lang.String` | `PROJECT_PREFIX` | Dollar Sigh to prefix the project path
`static java.lang.String` | `SS_EXE` | Constant for the thing to execute
`static java.lang.String` | `STYLE_BRIEF` | The brief style flag
`static java.lang.String` | `STYLE_CODEDIFF` | The codediff style flag
`static java.lang.String` | `STYLE_DEFAULT` | The default style flag
`static java.lang.String` | `STYLE_NOFILE` | The nofile style flag
`static java.lang.String` | `TIME_CURRENT` | The text for current (default) timestamp
`static java.lang.String` | `TIME_MODIFIED` | The text for modified timestamp
`static java.lang.String` | `TIME_UPDATED` | The text for updated timestamp
`static java.lang.String` | `VALUE_FROMDATE` | ~d flag
`static java.lang.String` | `VALUE_FROMLABEL` | ~L flag
`static java.lang.String` | `VALUE_NO` | -N flag
`static java.lang.String` | `VALUE_YES` | -Y flag
`static java.lang.String` | `WRITABLE_FAIL` | The text for failing on writable files
`static java.lang.String` | `WRITABLE_REPLACE` | The text for replacing writable files
`static java.lang.String` | `WRITABLE_SKIP` | The text for skipping writable files

## Field Details

### SS_EXE

static final java.lang.String SS_EXE
Constant for the thing to execute

See Also:
  Constant Field Values

### PROJECT_PREFIX

static final java.lang.String PROJECT_PREFIX
Dollar Sigh to prefix the project path

See Also:
  Constant Field Values

### COMMAND_CP

static final java.lang.String COMMAND_CP
The 'CP' command

See Also:
  Constant Field Values

### COMMAND_ADD

static final java.lang.String COMMAND_ADD
The 'Add' command

See Also:
  Constant Field Values

### COMMAND_GET

static final java.lang.String COMMAND_GET
The 'Get' command

See Also:
  Constant Field Values

### COMMAND_CHECKOUT

static final java.lang.String COMMAND_CHECKOUT
The 'Checkout' command

See Also:
  Constant Field Values

### COMMAND_CHECKIN

static final java.lang.String COMMAND_CHECKIN
The 'Checkin' command

See Also:
  Constant Field Values

### COMMAND_LABEL

static final java.lang.String COMMAND_LABEL
The 'Label' command

See Also:
  Constant Field Values

### COMMAND_HISTORY

static final java.lang.String COMMAND_HISTORY
The 'History' command

See Also:
  Constant Field Values

### COMMAND_CREATE

static final java.lang.String COMMAND_CREATE
The 'Create' command

See Also:
  Constant Field Values

### STYLE_BRIEF

static final java.lang.String STYLE_BRIEF
The brief style flag

See Also:
  Constant Field Values

### STYLE_CODEDIFF

static final java.lang.String STYLE_CODEDIFF
The codediff style flag

See Also:
  Constant Field Values

### STYLE_NOFILE

static final java.lang.String STYLE_NOFILE
The nofile style flag

See Also:
  Constant Field Values

### STYLE_DEFAULT

static final java.lang.String STYLE_DEFAULT
The default style flag

See Also:
  Constant Field Values

### TIME_CURRENT

static final java.lang.String TIME_CURRENT
The text for current (default) timestamp

See Also:
  Constant Field Values

### TIME_MODIFIED

static final java.lang.String TIME_MODIFIED
The text for modified timestamp

See Also:
  Constant Field Values

### TIME_UPDATED

static final java.lang.String TIME_UPDATED
The text for updated timestamp

See Also:
  Constant Field Values

### WRITABLE_REPLACE

static final java.lang.String WRITABLE_REPLACE
The text for replacing writable files

See Also:
  Constant Field Values

### WRITABLE_SKIP

static final java.lang.String WRITABLE_SKIP
The text for skipping writable files

See Also:
  Constant Field Values

### WRITABLE_FAIL

static final java.lang.String WRITABLE_FAIL
The text for failing on writable files

See Also:
  Constant Field Values

### FLAG_LOGIN

static final java.lang.String FLAG_LOGIN
-Y flag

See Also:
  Constant Field Values

### FLAG_OVERRIDE_WORKING_DIR

static final java.lang.String FLAG_OVERRIDE_WORKING_DIR
-GL flag

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_DEF

static final java.lang.String FLAG_AUTORESPONSE_DEF
-I- flag

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_YES

static final java.lang.String FLAG_AUTORESPONSE_YES
-I-Y flag

See Also:
  Constant Field Values

### FLAG_AUTORESPONSE_NO

static final java.lang.String FLAG_AUTORESPONSE_NO
-I-N flag

See Also:
  Constant Field Values

### FLAG_RECURSION

static final java.lang.String FLAG_RECURSION
-R flag

See Also:
  Constant Field Values

### FLAG_VERSION

static final java.lang.String FLAG_VERSION
-V flag

See Also:
  Constant Field Values

### FLAG_VERSION_DATE

static final java.lang.String FLAG_VERSION_DATE
-Vd flag

See Also:
  Constant Field Values

### FLAG_VERSION_LABEL

static final java.lang.String FLAG_VERSION_LABEL
-VL flag

See Also:
  Constant Field Values

### FLAG_WRITABLE

static final java.lang.String FLAG_WRITABLE
-W flag

See Also:
  Constant Field Values

### VALUE_NO

static final java.lang.String VALUE_NO
-N flag

See Also:
  Constant Field Values

### VALUE_YES

static final java.lang.String VALUE_YES
-Y flag

See Also:
  Constant Field Values

### FLAG_QUIET

static final java.lang.String FLAG_QUIET
-O- flag

See Also:
  Constant Field Values

### FLAG_COMMENT

static final java.lang.String FLAG_COMMENT
-C flag

See Also:
  Constant Field Values

### FLAG_LABEL

static final java.lang.String FLAG_LABEL
-L flag

See Also:
  Constant Field Values

### VALUE_FROMDATE

static final java.lang.String VALUE_FROMDATE
~d flag

See Also:
  Constant Field Values

### VALUE_FROMLABEL

static final java.lang.String VALUE_FROMLABEL
~L flag

See Also:
  Constant Field Values

### FLAG_OUTPUT

static final java.lang.String FLAG_OUTPUT
-O flag

See Also:
  Constant Field Values

### FLAG_USER

static final java.lang.String FLAG_USER
-U flag

See Also:
  Constant Field Values

### FLAG_NO_FILE

static final java.lang.String FLAG_NO_FILE
-F- flag

See Also:
  Constant Field Values

### FLAG_BRIEF

static final java.lang.String FLAG_BRIEF
-B flag

See Also:
  Constant Field Values

### FLAG_CODEDIFF

static final java.lang.String FLAG_CODEDIFF
-D flag

See Also:
  Constant Field Values

### FLAG_FILETIME_DEF

static final java.lang.String FLAG_FILETIME_DEF
-GTC flag

See Also:
  Constant Field Values

### FLAG_FILETIME_MODIFIED

static final java.lang.String FLAG_FILETIME_MODIFIED
-GTM flag

See Also:
  Constant Field Values

### FLAG_FILETIME_UPDATED

static final java.lang.String FLAG_FILETIME_UPDATED
-GTU flag

See Also:
  Constant Field Values

### FLAG_REPLACE_WRITABLE

static final java.lang.String FLAG_REPLACE_WRITABLE
-GWR flag

See Also:
  Constant Field Values

### FLAG_SKIP_WRITABLE

static final java.lang.String FLAG_SKIP_WRITABLE
-GWS flag

See Also:
  Constant Field Values

### FLAG_NO_GET

static final java.lang.String FLAG_NO_GET
-G- flag

See Also:
  Constant Field Values